> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clicker.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Tokens Feed

> Returns a feed of tokens sorted by most recent comment. Each item contains the most recent comment (and associated trade metadata) per actor for that token within the past 7 days. Filter by chain using the `chains` query parameter.



## OpenAPI

````yaml GET /v1/tokens/feed
openapi: 3.0.0
info:
  version: 1.0.0
  title: Daylight.xyz API
  description: >-
    Welcome to the Daylight API! API endpoints require a Daylight partner API
    key passed in the HTTP Authorization header.
servers:
  - url: https://api.clicker.xyz
security:
  - {}
  - bearerAuth: []
paths:
  /v1/tokens/feed:
    get:
      tags:
        - Social - Feed, Profiles and Discovery
      summary: Get a feed of token positions with recent comments for each
      description: >-
        Returns a feed of tokens sorted by most recent comment. Each item
        contains the most recent comment (and associated trade metadata) per
        actor for that token within the past 7 days. Filter by chain using the
        `chains` query parameter.
      parameters:
        - schema:
            type: number
            description: The total number of records to respond with. Defaults to 25.
          required: false
          name: limit
          in: query
        - schema:
            type: array
            description: >-
              If included, only include transactions with actions on the
              provided chains. Defaults to `base`, `ethereum`, `solana`. Pass
              `all` to see transactions on all supported chains.
            items:
              enum:
                - ethereum
                - optimism
                - polygon
                - arbitrum
                - zora
                - base
                - zero
                - solana
                - hyperliquid
                - all
            readOnly: true
          required: false
          name: chains
          in: query
        - schema:
            type: array
            description: >-
              Viewer wallet address(es). Accepts a single address or an array of
              the viewer’s linked wallets (additional addresses beyond 10 are
              ignored). Used to attribute feed requests to a profile.
            items:
              type: string
          required: true
          description: >-
            Viewer wallet address(es). Accepts a single address or an array of
            the viewer’s linked wallets (additional addresses beyond 10 are
            ignored). Used to attribute feed requests to a profile.
          name: viewerAddresses
          in: query
        - schema:
            type: number
            description: >-
              Filter to trades with absolute USD value >= this amount. Allowed
              values: 10, 100, 500, 1000
          required: false
          name: minTradeUsd
          in: query
        - schema:
            type: number
            description: >-
              Filter to trades with token market cap >= this amount. Allowed
              values: 100000, 1000000, 10000000
          required: false
          name: minMarketCap
          in: query
        - schema:
            type: number
            description: >-
              Filter to trades with token market cap < this amount. Allowed
              values: 100000, 1000000, 10000000
          required: false
          name: maxMarketCap
          in: query
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        token:
                          type: object
                          properties:
                            chain:
                              type: string
                              enum:
                                - ethereum
                                - optimism
                                - polygon
                                - arbitrum
                                - zora
                                - base
                                - zero
                                - solana
                                - hyperliquid
                            symbol:
                              type: string
                            name:
                              type: string
                            address:
                              type: string
                            images:
                              type: object
                              properties:
                                raw:
                                  type: string
                                  nullable: true
                                  description: The full-sized image
                                xs:
                                  type: string
                                  nullable: true
                                  description: 75x75
                                sm:
                                  type: string
                                  nullable: true
                                  description: 300x300
                              required:
                                - raw
                                - xs
                                - sm
                              description: URLs for different size squares.
                            commentCount:
                              type: number
                              description: The total number of comments for this token
                          required:
                            - chain
                            - symbol
                            - name
                            - address
                            - images
                            - commentCount
                        entries:
                          type: array
                          items:
                            type: object
                            properties:
                              itemId:
                                type: string
                              actor:
                                type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - user
                                  address:
                                    type: string
                                  name:
                                    type: string
                                    description: >-
                                      The name of the feed actor. Use this field
                                      for maximum forward compatibility.
                                  images:
                                    type: object
                                    properties:
                                      raw:
                                        type: string
                                        nullable: true
                                        description: The full-sized image
                                      xs:
                                        type: string
                                        nullable: true
                                        description: 75x75
                                      sm:
                                        type: string
                                        nullable: true
                                        description: 300x300
                                    required:
                                      - raw
                                      - xs
                                      - sm
                                    description: >-
                                      An image of the feed actor. Use this field
                                      for maximum forward compatibility.
                                  profile:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      images:
                                        type: object
                                        properties:
                                          raw:
                                            type: string
                                            nullable: true
                                            description: The full-sized image
                                          xs:
                                            type: string
                                            nullable: true
                                            description: 75x75
                                          sm:
                                            type: string
                                            nullable: true
                                            description: 300x300
                                        required:
                                          - raw
                                          - xs
                                          - sm
                                        description: URLs for different size squares.
                                      addresses:
                                        type: array
                                        items:
                                          type: string
                                      externalId:
                                        type: string
                                      metadata:
                                        type: object
                                        properties:
                                          farcasterUsername:
                                            type: string
                                            nullable: true
                                          farcasterId:
                                            type: number
                                            nullable: true
                                          lensHandle:
                                            type: string
                                            nullable: true
                                          ensName:
                                            type: string
                                            nullable: true
                                          twitterHandle:
                                            type: string
                                            nullable: true
                                          debankName:
                                            type: string
                                            nullable: true
                                          hlName:
                                            type: string
                                            nullable: true
                                          commentCount30d:
                                            type: number
                                            nullable: true
                                          pnl30d:
                                            type: number
                                            nullable: true
                                          winRate30d:
                                            type: number
                                            nullable: true
                                          tradeCount30d:
                                            type: number
                                            nullable: true
                                          roiPercent30d:
                                            type: number
                                            nullable: true
                                          pnl7d:
                                            type: number
                                            nullable: true
                                          winRate7d:
                                            type: number
                                            nullable: true
                                          tradeCount7d:
                                            type: number
                                            nullable: true
                                          roiPercent7d:
                                            type: number
                                            nullable: true
                                          medianHoldingTimeMinutes:
                                            type: number
                                            nullable: true
                                        required:
                                          - farcasterUsername
                                          - farcasterId
                                          - lensHandle
                                          - ensName
                                          - twitterHandle
                                          - debankName
                                          - hlName
                                          - commentCount30d
                                          - pnl30d
                                          - winRate30d
                                          - tradeCount30d
                                          - roiPercent30d
                                          - pnl7d
                                          - winRate7d
                                          - tradeCount7d
                                          - roiPercent7d
                                          - medianHoldingTimeMinutes
                                      isNSFW:
                                        anyOf:
                                          - type: boolean
                                            enum:
                                              - false
                                          - type: object
                                            properties:
                                              nsfwImage:
                                                type: boolean
                                              nsfwText:
                                                type: boolean
                                            required:
                                              - nsfwImage
                                              - nsfwText
                                        description: >-
                                          `false` when the profile is clean.
                                          Otherwise an object with `nsfwImage` and
                                          `nsfwText` booleans indicating which
                                          axes the scanner flagged. Clients decide
                                          whether to render, censor, or hide the
                                          underlying content.
                                    required:
                                      - id
                                      - name
                                      - images
                                      - addresses
                                      - metadata
                                      - isNSFW
                                    description: >-
                                      Profile of the user (including additional
                                      known addresses and extra metadata). Use
                                      this field to tailor your UI specifically.
                                required:
                                  - type
                                  - address
                                  - name
                                  - images
                                  - profile
                                description: >-
                                  The actor that completed an action to create a
                                  feed item.
                              comment:
                                type: object
                                properties:
                                  uid:
                                    type: string
                                    description: Unique identifier for the comment
                                  transactionHash:
                                    type: string
                                    description: >-
                                      The transaction hash associated with the
                                      swap
                                  chain:
                                    type: string
                                    enum:
                                      - ethereum
                                      - optimism
                                      - polygon
                                      - arbitrum
                                      - zora
                                      - base
                                      - zero
                                      - solana
                                      - hyperliquid
                                  tokenAddress:
                                    type: string
                                    description: The token address associated with the swap
                                  commentText:
                                    type: string
                                    description: The comment text
                                  signerAddress:
                                    type: string
                                    description: The Ethereum address of the comment author
                                  timestamp:
                                    type: number
                                    description: >-
                                      Unix timestamp of when the comment was
                                      created
                                  isAppUserComment:
                                    type: boolean
                                    description: >-
                                      Whether the comment was created by a user
                                      of this partner's app
                                  replies:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                          description: Unique identifier for the reply
                                        text:
                                          type: string
                                          description: The reply text
                                        author:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - user
                                            address:
                                              type: string
                                            name:
                                              type: string
                                              description: >-
                                                The name of the feed actor. Use this
                                                field for maximum forward compatibility.
                                            images:
                                              type: object
                                              properties:
                                                raw:
                                                  type: string
                                                  nullable: true
                                                  description: The full-sized image
                                                xs:
                                                  type: string
                                                  nullable: true
                                                  description: 75x75
                                                sm:
                                                  type: string
                                                  nullable: true
                                                  description: 300x300
                                              required:
                                                - raw
                                                - xs
                                                - sm
                                              description: >-
                                                An image of the feed actor. Use this
                                                field for maximum forward compatibility.
                                            profile:
                                              type: object
                                              properties:
                                                id:
                                                  type: string
                                                name:
                                                  type: string
                                                images:
                                                  type: object
                                                  properties:
                                                    raw:
                                                      type: string
                                                      nullable: true
                                                      description: The full-sized image
                                                    xs:
                                                      type: string
                                                      nullable: true
                                                      description: 75x75
                                                    sm:
                                                      type: string
                                                      nullable: true
                                                      description: 300x300
                                                  required:
                                                    - raw
                                                    - xs
                                                    - sm
                                                  description: URLs for different size squares.
                                                addresses:
                                                  type: array
                                                  items:
                                                    type: string
                                                externalId:
                                                  type: string
                                                metadata:
                                                  type: object
                                                  properties:
                                                    farcasterUsername:
                                                      type: string
                                                      nullable: true
                                                    farcasterId:
                                                      type: number
                                                      nullable: true
                                                    lensHandle:
                                                      type: string
                                                      nullable: true
                                                    ensName:
                                                      type: string
                                                      nullable: true
                                                    twitterHandle:
                                                      type: string
                                                      nullable: true
                                                    debankName:
                                                      type: string
                                                      nullable: true
                                                    hlName:
                                                      type: string
                                                      nullable: true
                                                    commentCount30d:
                                                      type: number
                                                      nullable: true
                                                    pnl30d:
                                                      type: number
                                                      nullable: true
                                                    winRate30d:
                                                      type: number
                                                      nullable: true
                                                    tradeCount30d:
                                                      type: number
                                                      nullable: true
                                                    roiPercent30d:
                                                      type: number
                                                      nullable: true
                                                    pnl7d:
                                                      type: number
                                                      nullable: true
                                                    winRate7d:
                                                      type: number
                                                      nullable: true
                                                    tradeCount7d:
                                                      type: number
                                                      nullable: true
                                                    roiPercent7d:
                                                      type: number
                                                      nullable: true
                                                    medianHoldingTimeMinutes:
                                                      type: number
                                                      nullable: true
                                                  required:
                                                    - farcasterUsername
                                                    - farcasterId
                                                    - lensHandle
                                                    - ensName
                                                    - twitterHandle
                                                    - debankName
                                                    - hlName
                                                    - commentCount30d
                                                    - pnl30d
                                                    - winRate30d
                                                    - tradeCount30d
                                                    - roiPercent30d
                                                    - pnl7d
                                                    - winRate7d
                                                    - tradeCount7d
                                                    - roiPercent7d
                                                    - medianHoldingTimeMinutes
                                                isNSFW:
                                                  anyOf:
                                                    - type: boolean
                                                      enum:
                                                        - false
                                                    - type: object
                                                      properties:
                                                        nsfwImage:
                                                          type: boolean
                                                        nsfwText:
                                                          type: boolean
                                                      required:
                                                        - nsfwImage
                                                        - nsfwText
                                                  description: >-
                                                    `false` when the profile is clean.
                                                    Otherwise an object with `nsfwImage` and
                                                    `nsfwText` booleans indicating which
                                                    axes the scanner flagged. Clients decide
                                                    whether to render, censor, or hide the
                                                    underlying content.
                                              required:
                                                - id
                                                - name
                                                - images
                                                - addresses
                                                - metadata
                                                - isNSFW
                                              description: >-
                                                Profile of the user (including
                                                additional known addresses and extra
                                                metadata). Use this field to tailor your
                                                UI specifically.
                                          required:
                                            - type
                                            - address
                                            - name
                                            - images
                                            - profile
                                          description: >-
                                            The actor that completed an action to
                                            create a feed item.
                                        timestamp:
                                          type: number
                                          description: >-
                                            Unix timestamp of when the reply was
                                            created
                                        likeCount:
                                          type: number
                                          description: The number of likes on this reply
                                        isLikedByUser:
                                          type: boolean
                                          description: >-
                                            Whether the requesting user has liked
                                            this reply
                                      required:
                                        - id
                                        - text
                                        - author
                                        - timestamp
                                        - likeCount
                                        - isLikedByUser
                                    description: >-
                                      Replies to this comment, only included
                                      when fetching a single position
                                  perPosition:
                                    type: object
                                    properties:
                                      metrics:
                                        type: object
                                        properties:
                                          copyCount:
                                            type: number
                                            description: >-
                                              The number of times the comment has been
                                              copied
                                          copyVolume:
                                            type: string
                                            description: The volume of the comment in USD
                                          likeCount:
                                            type: number
                                            description: The number of likes on this comment
                                          isLikedByUser:
                                            type: boolean
                                            description: >-
                                              Whether the requesting user has liked
                                              this comment
                                        required:
                                          - copyCount
                                          - copyVolume
                                          - likeCount
                                          - isLikedByUser
                                      commentCount:
                                        type: number
                                    required:
                                      - metrics
                                      - commentCount
                                required:
                                  - uid
                                  - transactionHash
                                  - chain
                                  - tokenAddress
                                  - commentText
                                  - timestamp
                                  - isAppUserComment
                                  - perPosition
                              trade:
                                type: object
                                properties:
                                  tokenAmount:
                                    type: number
                                    description: >-
                                      The amount of tokens traded. Negative for
                                      sells.
                                  usdCost:
                                    type: number
                                    description: >-
                                      The USD cost traded for all tokens.
                                      Negative for sells.
                                  marketCap:
                                    type: number
                                    nullable: true
                                    description: >-
                                      The market cap of the token at the time of
                                      this trade
                                  timestamp:
                                    type: number
                                  transactionHash:
                                    type: string
                                  direction:
                                    type: string
                                    enum:
                                      - buy
                                      - sell
                                  classification:
                                    type: string
                                    nullable: true
                                    enum:
                                      - spot
                                      - perp
                                      - send
                                      - receive
                                    description: >-
                                      High-level trade classification: 'spot'
                                      for spot trades, 'perp' for perpetual
                                      futures, 'send' for outgoing transfers,
                                      'receive' for airdrops/incoming transfers.
                                      Null for legacy trades.
                                  intent:
                                    type: string
                                    enum:
                                      - enter
                                      - exit
                                    description: >-
                                      Whether this trade is entering or exiting
                                      a position. For spot trades, 'enter' = buy
                                      and 'exit' = sell. For perps, direction
                                      depends on position type (e.g., opening a
                                      short is 'enter' even though the trade
                                      side is 'sell').
                                  perpPositionType:
                                    type: string
                                    nullable: true
                                    enum:
                                      - long
                                      - short
                                    description: >-
                                      For perps positions, whether this is a
                                      'long' or 'short' position. Null for spot
                                      trades.
                                  perpLeverage:
                                    type: number
                                    nullable: true
                                    description: >-
                                      For perps positions, the leverage
                                      multiplier (e.g., 5 for 5x leverage). Null
                                      for spot trades.
                                required:
                                  - tokenAmount
                                  - usdCost
                                  - marketCap
                                  - timestamp
                                  - transactionHash
                                  - direction
                                  - classification
                                  - intent
                                  - perpPositionType
                                  - perpLeverage
                              isPositionOpen:
                                type: boolean
                                description: >-
                                  Whether the position associated with this
                                  comment is currently open
                            required:
                              - actor
                              - comment
                              - trade
                              - isPositionOpen
                          description: Comments about this token from the past 7 days
                      required:
                        - token
                        - entries
                  pagination:
                    type: object
                    properties:
                      olderCursor:
                        type: string
                        nullable: true
                      olderItemsURL:
                        type: string
                        nullable: true
                      newerCursor:
                        type: string
                        nullable: true
                      newerItemsURL:
                        type: string
                        nullable: true
                    required:
                      - olderCursor
                      - olderItemsURL
                      - newerCursor
                      - newerItemsURL
                required:
                  - items
                  - pagination
        '400':
          description: >-
            The request payload or query string parameter you passed was not
            valid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````